Subject: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Visuwesh <[email-masked]>
Date: Thu, 25 Nov 2021 04:32:26 +0100 (CET)

22 Nov 2021, 02:19 by [email-masked]:

Hi Juri,

> I tried to implement what you asked to do, but got horrible results
> caused too much damage. Here is the lossage explaining the problem:
>
> C-<tab> ;; tab-next
> o ;; tab-next
> n ;; gnus-group-next-unread-group
>
> i.e. I typed C-<tab> to switch to the next tab with the text buffer
> where I started to type text that begins with the letters "on..."
>
> But instead of inserting letters to the buffer, the letter "o"
> switched to the second next tab. This tab contained the Gnus buffer
> where typing the second letter "n" called the bound command
> gnus-group-next-unread-group, and I lost all unread messages.
>
> But I never had such a problem when the repeating sequence was
> activated only by 'C-x t o ... o o ...' instead of 'C-<tab> o o o ...'
> because 'C-<tab>' is a single key, there is no need to activate
> other keys doing the same.
>
> This means that by default this behavior should be disabled.
> But maybe a new variable should allow to skip this check:

Yes,  you are right, it is disruptive.  Having tried the repeat-map I
had in the OP for a while now, it is biting me in the back in the most
unexpected times.  Maybe this is better left unimplemented?